<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}">
    <MessagePicture :isSent="isSent" :message="message"></MessagePicture>
    <!-- <div class="text-main me" > -->
    <!-- <div class="text-group"> -->
    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>
      <div class="text text-muted bg-none" :class="{'me':isSent}">
        <img
          :src="content.previewImageUrl"
          alt="image"
          class="w-50 shadow-sm d-block zoomable"
          :class="{'ml-auto':isSent}"
        >
      </div>
      <div class="text-muted-light">
        <small :class="{'float-right':isSent}">
          <template v-if="isSent">
            <i class="fas fa-clock" v-show="message.created_at == null"></i>
            <i class="fas fa-check" v-show="message.created_at != null"></i>
          </template>
          {{formatDate(message.created_at,"LT")}}
        </small>
      </div>
    </div>
    <!-- </div>
    </div>-->
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture";
import MessageHead from "../elements/MessageHead";
export default {
  mixins: [chatMixin],
  components: {
    MessagePicture,
    MessageHead
  }
};
</script>
<style lang="scss" scoped>
img {
  cursor: pointer;
}
</style>

